> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Amazon Search

> Extract Amazon product titles, prices, ratings, and images by searching with your queries

`$0.1 / 1k products`

Extract Amazon product titles, prices, ratings, and images by searching with your queries

## Endpoint

`POST /api/v1/agents/amazon/search/run`

## Parameters

<ParamField body="input" type="array" required>
  **List** · Amazon search keywords. One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={50}>
  **Number** · Total products to fetch per keyword (\~16 per Amazon page). Use 0 for all.
</ParamField>

<ParamField body="domainCode" type="string" default="com">
  **Dropdown** · Which Amazon marketplace to search.

  <Accordion title="Show all 13 options">
    `com`, `co.uk`, `ca`, `com.au`, `in`, `de`, `fr`, `es`, `it`, `co.jp`, `com.mx`, `com.br`, `ae`

    *Legend: `com` = United States (.com), `co.uk` = United Kingdom (.co.uk), `ca` = Canada (.ca), `com.au` = Australia (.com.au), `in` = India (.in), `de` = Germany (.de), `fr` = France (.fr), `es` = Spain (.es), `it` = Italy (.it), `co.jp` = Japan (.co.jp), `com.mx` = Mexico (.com.mx), `com.br` = Brazil (.com.br), `ae` = UAE (.ae)*

    [View all 13 as a structured list →](/agents/amazon/search/values#domaincode)
  </Accordion>
</ParamField>

## Response columns

| Field            | Display name    | Type     |
| ---------------- | --------------- | -------- |
| `searchKeyword`  | Search Keyword  | text     |
| `domain`         | Domain          | text     |
| `productUrl`     | Product URL     | url      |
| `asin`           | ASIN            | text     |
| `productTitle`   | Product Title   | text     |
| `image`          | Image           | url      |
| `price`          | Price           | currency |
| `retailPrice`    | Retail Price    | currency |
| `rating`         | Rating          | rating   |
| `reviews`        | Reviews         | number   |
| `salesVolume`    | Sales Volume    | text     |
| `delivery`       | Delivery        | text     |
| `prime`          | Prime           | boolean  |
| `sponsored`      | Sponsored       | boolean  |
| `secondaryOffer` | Secondary Offer | number   |
| `position`       | Position        | number   |
| `page`           | Page            | number   |
| `currentPage`    | Current Page    | number   |
| `totalResults`   | Total Results   | number   |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/amazon/search/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "input": [
        {
          "keyword": "Apple iPhone 17 Pro Max",
          "domainCode": "com",
          "sortBy": "recent",
          "maxPages": 1,
          "category": "aps"
        }
      ]
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/amazon/search/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "input": [
          {
              "keyword": "Apple iPhone 17 Pro Max",
              "domainCode": "com",
              "sortBy": "recent",
              "maxPages": 1,
              "category": "aps"
          }
      ]
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "searchKeyword": "Apple iPhone 17 Pro Max",
      "domain": "com",
      "productUrl": "B0FTCWXD9K",
      "asin": "B0FTCWXD9K",
      "productTitle": "Apple iPhone 17 Pro Max, US Version, 256GB, eSIM, Deep Blue- Unlocked (Renewed) | eSIM| Renewed",
      "image": "https://m.media-amazon.com/images/I/61PwUsi+OgL._AC_UY218_.jpg",
      "price": 1263.89,
      "retailPrice": 1329,
      "rating": "4.1 out of 5 stars",
      "reviews": 192,
      "salesVolume": "200+ bought in past month",
      "delivery": "FREE delivery Wed, May 6",
      "prime": false,
      "sponsored": false,
      "secondaryOffer": 1240.5,
      "position": 0,
      "page": 1,
      "currentPage": 1,
      "totalResults": 20000
    }
  ]
}
```
